;              
CREATE USER IF NOT EXISTS "SA" SALT '07e86a26c712388e' HASH '6f61ffc51de72d118f15fcadf1805cb22b5b717c02771a14440f38f91053024a' ADMIN;          
CREATE CACHED TABLE "PUBLIC"."ATTRIBUTE"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "KEY" VARCHAR(256),
    "VALUE" VARCHAR(2048)
);           
ALTER TABLE "PUBLIC"."ATTRIBUTE" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_A" PRIMARY KEY("ID");     
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.ATTRIBUTE;
CREATE CACHED TABLE "PUBLIC"."CATEGORY"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "SORT" INTEGER,
    "CATEGORY_ID" BIGINT
); 
ALTER TABLE "PUBLIC"."CATEGORY" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_3" PRIMARY KEY("ID");      
-- 2 +/- SELECT COUNT(*) FROM PUBLIC.CATEGORY; 
INSERT INTO "PUBLIC"."CATEGORY" VALUES
(1, '2022-08-13 12:24:35', '2022-08-13 12:24:35', 'Personnage principal', '', '', '', 1, NULL),
(2, '2022-08-13 12:24:35', '2022-08-13 12:24:35', 'Personnage secondaire', '', '', '', 2, NULL);        
CREATE CACHED TABLE "PUBLIC"."CHAPTER"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "TITLE" VARCHAR(256),
    "PART_ID" BIGINT,
    "CHAPTERNO" INTEGER,
    "CREATION_TS" TIMESTAMP,
    "OBJECTIVE_TS" TIMESTAMP,
    "DONE_TS" TIMESTAMP,
    "OBJECTIVE_CH" INTEGER
);       
ALTER TABLE "PUBLIC"."CHAPTER" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_5" PRIMARY KEY("ID");       
-- 1 +/- SELECT COUNT(*) FROM PUBLIC.CHAPTER;  
INSERT INTO "PUBLIC"."CHAPTER" VALUES
(1, '2022-08-13 12:24:35', '2022-08-13 12:24:35', 'Chapitre 1', '', '', '', 'Chapitre 1', 1, 1, TIMESTAMP '2022-08-13 12:24:35.854', NULL, NULL, 0);     
CREATE CACHED TABLE "PUBLIC"."ENDNOTE"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "NUMBER" INTEGER NOT NULL,
    "SCENE_ID" BIGINT
);          
ALTER TABLE "PUBLIC"."ENDNOTE" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_C" PRIMARY KEY("ID");       
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.ENDNOTE;  
CREATE CACHED TABLE "PUBLIC"."EPISODE"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "NUMBER" INTEGER NOT NULL,
    "STRAND_ID" BIGINT,
    "CHAPTER_ID" BIGINT,
    "SCENE_ID" BIGINT
);         
ALTER TABLE "PUBLIC"."EPISODE" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_CE" PRIMARY KEY("ID");      
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.EPISODE;  
CREATE CACHED TABLE "PUBLIC"."GENDER"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "CHILDHOOD" INTEGER NOT NULL,
    "ADOLESCENCE" INTEGER NOT NULL,
    "ADULTHOOD" INTEGER NOT NULL,
    "RETIREMENT" INTEGER NOT NULL,
    "ICONE" VARCHAR(256)
);            
ALTER TABLE "PUBLIC"."GENDER" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_7" PRIMARY KEY("ID");        
-- 2 +/- SELECT COUNT(*) FROM PUBLIC.GENDER;   
INSERT INTO "PUBLIC"."GENDER" VALUES
(1, '2022-08-13 12:24:35', '2022-08-13 12:24:35', 'Homme', '', '', '', 6, 12, 18, 65, ''),
(2, '2022-08-13 12:24:35', '2022-08-13 12:24:35', 'Femme', '', '', '', 6, 12, 18, 65, '');     
CREATE CACHED TABLE "PUBLIC"."IDEAS"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "STATUS" INTEGER,
    "CATEGORY" VARCHAR(256)
);               
ALTER TABLE "PUBLIC"."IDEAS" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_4" PRIMARY KEY("ID");         
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.IDEAS;    
CREATE CACHED TABLE "PUBLIC"."INTERNAL"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "KEY" VARCHAR(512),
    "STRING_VALUE" VARCHAR(4096),
    "INTEGER_VALUE" INTEGER,
    "BOOLEAN_VALUE" BOOLEAN,
    "BINVALUE" BINARY(16384)
);             
ALTER TABLE "PUBLIC"."INTERNAL" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_50" PRIMARY KEY("ID");     
-- 47 +/- SELECT COUNT(*) FROM PUBLIC.INTERNAL;
INSERT INTO "PUBLIC"."INTERNAL" VALUES
(1, '2022-08-13 12:23:37', '2022-08-13 12:23:37', '', '', '', '', 'BookCreationDate', '2022-08-13 12:23:37', 0, FALSE, NULL),
(2, '2022-08-13 12:23:37', '2022-08-13 12:23:37', '', '', '', '', 'BookUpdate', '2022-08-13 12:24:35', 0, FALSE, NULL),
(3, '2022-08-13 12:23:37', '2022-08-13 12:23:37', '', '', '', '', 'Title', 'Version 6 . 0', 0, FALSE, NULL),
(4, '2022-08-13 12:23:37', '2022-08-13 12:23:37', '', '', '', '', 'SubTitle', 'Propositions pour la version 6', 0, FALSE, NULL),
(5, '2022-08-13 12:23:37', '2022-08-13 12:23:37', '', '', '', '', 'Author', 'Bernard MEHAUT', 0, FALSE, NULL),
(6, '2022-08-13 12:23:37', '2022-08-13 12:23:37', '', '', '', '', 'Copyright', '', 0, FALSE, NULL),
(7, '2022-08-13 12:23:37', '2022-08-13 12:23:37', '', '', '', '', 'Blurb', '', 0, FALSE, NULL),
(8, '2022-08-13 12:23:37', '2022-08-13 12:23:37', '', '', '', '', 'Notes', '', 0, FALSE, NULL),
(9, '2022-08-13 12:23:37', '2022-08-13 12:23:37', '', '', '', '', 'Assistant', '', 0, FALSE, NULL),
(10, '2022-08-13 12:23:37', '2022-08-13 12:23:37', '', '', '', '', 'Polti', '0', 0, FALSE, NULL),
(11, '2022-08-13 12:23:37', '2022-08-13 12:23:37', '', '', '', '', 'Step', '0', 0, FALSE, NULL),
(12, '2022-08-13 12:23:37', '2022-08-13 12:23:37', '', '', '', '', 'Stage', '0', 0, FALSE, NULL),
(13, '2022-08-13 12:23:37', '2022-08-13 12:23:37', '', '', '', '', 'Scenario', '0', 0, FALSE, NULL),
(14, '2022-08-13 12:23:37', '2022-08-13 12:23:37', '', '', '', '', 'Markdown', '0', 0, FALSE, NULL),
(15, '2022-08-13 12:23:37', '2022-08-13 12:23:37', '', '', '', '', 'ISBN', '', 0, FALSE, NULL),
(16, '2022-08-13 12:23:37', '2022-08-13 12:23:37', '', '', '', '', 'UUID', '', 0, FALSE, NULL),
(17, '2022-08-13 12:23:37', '2022-08-13 12:23:37', '', '', '', '', 'Language', 'fr', 0, FALSE, NULL),
(18, '2022-08-13 12:23:37', '2022-08-13 12:23:37', '', '', '', '', 'Nature', '0', 0, FALSE, NULL),
(19, '2022-08-13 12:23:37', '2022-08-13 12:23:37', '', '', '', '', 'BACKUP_DIR', '', 0, FALSE, NULL),
(20, '2022-08-13 12:23:37', '2022-08-13 12:23:37', '', '', '', '', 'BACKUP_AUTO', '0', 0, FALSE, NULL),
(21, '2022-08-13 12:23:37', '2022-08-13 12:23:37', '', '', '', '', 'BACKUP_INCREMENT', '0', 0, FALSE, NULL),
(22, '2022-08-13 12:23:37', '2022-08-13 12:23:37', '', '', '', '', 'EDITOR_MODLESS', '0', 0, FALSE, NULL),
(23, '2022-08-13 12:23:37', '2022-08-13 12:23:37', '', '', '', '', 'EDITOR_USE', '0', 0, FALSE, NULL),
(24, '2022-08-13 12:23:37', '2022-08-13 12:23:37', '', '', '', '', 'EDITOR_NAME', '', 0, FALSE, NULL),
(25, '2022-08-13 12:23:37', '2022-08-13 12:23:37', '', '', '', '', 'EDITOR_EXTENSION', '', 0, FALSE, NULL),
(26, '2022-08-13 12:23:37', '2022-08-13 12:23:37', '', '', '', '', 'EDITOR_TEMPLATE', '', 0, FALSE, NULL),
(27, '2022-08-13 12:23:37', '2022-08-13 12:23:37', '', '', '', '', 'EXPORT_DIR', '/home/bernard/apps/ostorybook/version_06', 0, FALSE, NULL),
(28, '2022-08-13 12:23:37', '2022-08-13 12:23:37', '', '', '', '', 'EXPORT_CHAPTER_BOOKTITLE', '0', 0, FALSE, NULL),
(29, '2022-08-13 12:23:37', '2022-08-13 12:23:37', '', '', '', '', 'EXPORT_CHAPTER_BREAKPAGE', '0', 0, FALSE, NULL),
(30, '2022-08-13 12:23:37', '2022-08-13 12:23:37', '', '', '', '', 'EXPORT_HTML_CSS', '', 0, FALSE, NULL),
(31, '2022-08-13 12:23:37', '2022-08-13 12:23:37', '', '', '', '', 'EXPORT_HTML_NAV', '0', 0, FALSE, NULL),
(32, '2022-08-13 12:23:37', '2022-08-13 12:23:37', '', '', '', '', 'EXPORT_HTML_NAVIMAGE', '0', 0, FALSE, NULL),
(33, '2022-08-13 12:23:37', '2022-08-13 12:23:37', '', '', '', '', 'EXPORT_HTML_MULTICHAPTER', '0', 0, FALSE, NULL),
(34, '2022-08-13 12:23:37', '2022-08-13 12:23:37', '', '', '', '', 'EXPORT_HTML_MULTISCENE', '0', 0, FALSE, NULL),
(35, '2022-08-13 12:23:37', '2022-08-13 12:23:37', '', '', '', '', 'IMPORT_DIRECTORY', '', 0, FALSE, NULL),
(36, '2022-08-13 12:23:37', '2022-08-13 12:23:37', '', '', '', '', 'IMPORT_FILE', '', 0, FALSE, NULL),
(37, '2022-08-13 12:23:37', '2022-08-13 12:23:37', '', '', '', '', 'LAYOUT_BOOK', '000001001', 0, FALSE, NULL),
(38, '2022-08-13 12:23:37', '2022-08-13 12:23:37', '', '', '', '', 'LAYOUT_SCENE_SEPARATOR', '.oOo.', 0, FALSE, NULL);         
INSERT INTO "PUBLIC"."INTERNAL" VALUES
(39, '2022-08-13 12:23:37', '2022-08-13 12:23:37', '', '', '', '', 'CALENDAR_USE', '', 0, FALSE, NULL),
(40, '2022-08-13 12:23:37', '2022-08-13 12:23:37', '', '', '', '', 'EPUB_COVER', '', 0, FALSE, NULL),
(41, '2022-08-13 12:24:35', '2022-08-13 12:24:35', '', '', '', '', 'EpubCover', '0', 0, FALSE, NULL),
(42, '2022-08-13 12:24:37', '2022-08-13 12:24:37', '', '', '', '', 'TypistUse', '0', 0, FALSE, NULL),
(43, '2022-08-14 14:40:21', '2022-08-14 14:40:21', '', '', '', '', 'EXPORT_FORMAT', '', 0, FALSE, NULL),
(44, '2022-08-26 06:47:47', '2022-08-26 06:47:47', '', '', '', '', 'EXPORT_CSV_QUOTE', '', 0, FALSE, NULL),
(45, '2022-08-26 06:47:47', '2022-08-26 06:47:47', '', '', '', '', 'EXPORT_CSV_COMMA', '', 0, FALSE, NULL),
(46, '2022-08-26 06:47:47', '2022-08-26 06:47:47', '', '', '', '', 'EXPORT_TXT_TAB', '0', 0, FALSE, NULL),
(47, '2022-08-26 06:47:47', '2022-08-26 06:47:47', '', '', '', '', 'EXPORT_TXT_SEPARATOR', '', 0, FALSE, NULL);   
CREATE CACHED TABLE "PUBLIC"."LOCATION"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "ADDRESS" VARCHAR(256),
    "CITY" VARCHAR(256),
    "COUNTRY" VARCHAR(256),
    "ALTITUDE" INTEGER,
    "GPS" VARCHAR(256),
    "LOCATION_ID" BIGINT
);    
ALTER TABLE "PUBLIC"."LOCATION" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_9" PRIMARY KEY("ID");      
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.LOCATION; 
CREATE CACHED TABLE "PUBLIC"."PART"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "NUMBER" INTEGER,
    "PART_ID" BIGINT,
    "CREATION_TS" TIMESTAMP,
    "OBJECTIVE_TS" TIMESTAMP,
    "DONE_TS" TIMESTAMP,
    "OBJECTIVE_CH" INTEGER
);       
ALTER TABLE "PUBLIC"."PART" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_2" PRIMARY KEY("ID");          
-- 1 +/- SELECT COUNT(*) FROM PUBLIC.PART;     
INSERT INTO "PUBLIC"."PART" VALUES
(1, '2022-08-13 12:24:35', '2022-08-13 12:24:35', 'Partie 1', '', '', '', 1, NULL, TIMESTAMP '2022-08-13 12:24:35.849', NULL, NULL, 0);     
CREATE CACHED TABLE "PUBLIC"."PERSON"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "GENDER_ID" BIGINT,
    "FIRSTNAME" VARCHAR(256),
    "LASTNAME" VARCHAR(256),
    "ABBREVIATION" VARCHAR(256),
    "BIRTHDAY" TIMESTAMP,
    "DAYOFDEATH" TIMESTAMP,
    "OCCUPATION" VARCHAR(256),
    "COLOR" INTEGER,
    "CATEGORY_ID" BIGINT
);         
ALTER TABLE "PUBLIC"."PERSON" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_8" PRIMARY KEY("ID");        
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PERSON;   
CREATE CACHED TABLE "PUBLIC"."PLOT"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "CATEGORY" VARCHAR(255)
);      
ALTER TABLE "PUBLIC"."PLOT" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_25" PRIMARY KEY("ID");         
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PLOT;     
CREATE CACHED TABLE "PUBLIC"."RELATIONSHIP"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "PERSON1_ID" BIGINT,
    "PERSON2_ID" BIGINT,
    "START_SCENE_ID" BIGINT,
    "END_SCENE_ID" BIGINT
); 
ALTER TABLE "PUBLIC"."RELATIONSHIP" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_7A" PRIMARY KEY("ID"); 
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.RELATIONSHIP;             
CREATE CACHED TABLE "PUBLIC"."SCENE"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "CHAPTER_ID" BIGINT,
    "STRAND_ID" BIGINT,
    "SCENENO" INTEGER,
    "SCENE_TS" TIMESTAMP,
    "TITLE" VARCHAR(2048),
    "SUMMARY" VARCHAR(32768),
    "STATUS" INTEGER,
    "INTENSITY" INTEGER,
    "DURATION" VARCHAR(255),
    "RELATIVE_DATE_DIFFERENCE" INTEGER,
    "RELATIVE_TIME" VARCHAR(255),
    "RELATIVE_SCENE_ID" BIGINT,
    "INFORMATIVE" BOOLEAN,
    "SCENARIO_PITCH" VARCHAR(1024),
    "SCENARIO_STAGE" INTEGER,
    "SCENARIO_START" INTEGER,
    "SCENARIO_END" INTEGER,
    "SCENARIO_MOMENT" INTEGER,
    "SCENARIO_LOC" INTEGER,
    "ODF" VARCHAR(256),
    "NARRATOR_ID" BIGINT
);             
ALTER TABLE "PUBLIC"."SCENE" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_4B" PRIMARY KEY("ID");        
-- 1 +/- SELECT COUNT(*) FROM PUBLIC.SCENE;    
INSERT INTO "PUBLIC"."SCENE" VALUES
(1, '2022-08-13 12:24:35', '2022-08-26 14:25:16', 'Importation', STRINGDECODE('<style type=\"text/css\">\n      <!--\n        body { font-family: Serif; font-size: 20pt }\n      -->\n    </style>\n    \n  \n  \n    <p>\n      \n    </p>'), STRINGDECODE('<style type=\"text/css\">\n      <!--\n        body { font-family: Serif; font-size: 20pt }\n      -->\n    </style>\n    \n  \n  \n    <p>\n      \n    </p>'), '', 1, 1, 1, TIMESTAMP '2022-08-13 12:24:35.86', 'Importation', STRINGDECODE('<style type=\"text/css\">\n      <!--\n        body { font-family: Serif; font-size: 20pt }\n      -->\n    </style>\n    \n  \n  \n    <p>\n      Fil addons\n    </p>\n    <p>\n      La manip doit &#234;tre &#233;vidente\n    </p>'), 1, 1, '', 0, '', -1, FALSE, '', 0, 0, 0, 0, 0, '', NULL);          
CREATE CACHED TABLE "PUBLIC"."STATUS"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "ICONE" VARCHAR(256)
);       
ALTER TABLE "PUBLIC"."STATUS" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_92" PRIMARY KEY("ID");       
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.STATUS;   
CREATE CACHED TABLE "PUBLIC"."STRAND"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "ABBREVIATION" VARCHAR(256),
    "COLOR" INTEGER,
    "SORT" INTEGER
);       
ALTER TABLE "PUBLIC"."STRAND" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_926" PRIMARY KEY("ID");      
-- 1 +/- SELECT COUNT(*) FROM PUBLIC.STRAND;   
INSERT INTO "PUBLIC"."STRAND" VALUES
(1, '2022-08-13 12:24:35', '2022-08-13 14:14:19', 'add-ons', STRINGDECODE('<p>\n      add-ons\n    </p>'), STRINGDECODE('<p>\n      \n    </p>'), '', 'DS', -1052673, 1); 
CREATE CACHED TABLE "PUBLIC"."TAG"(
    "ID" BIGINT NOT NULL,
    "TYPE" INTEGER NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(255),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "CATEGORY" VARCHAR(255)
);          
ALTER TABLE "PUBLIC"."TAG" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_1" PRIMARY KEY("ID");           
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.TAG;      
CREATE CACHED TABLE "PUBLIC"."TAG_LINK"(
    "ID" BIGINT NOT NULL,
    "TYPE" INTEGER NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(255),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "START_SCENE_ID" BIGINT,
    "END_SCENE_ID" BIGINT,
    "CHARACTER_ID" BIGINT,
    "LOCATION_ID" BIGINT,
    "TAG_ID" BIGINT
);
ALTER TABLE "PUBLIC"."TAG_LINK" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_2D" PRIMARY KEY("ID");     
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.TAG_LINK; 
CREATE CACHED TABLE "PUBLIC"."TIMEEVENT"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "TITLE" VARCHAR(256),
    "EVENT_TS" TIMESTAMP,
    "DURATION" VARCHAR(255),
    "TIME_STEP" INTEGER,
    "CATEGORY" VARCHAR(255),
    "COLOR" INTEGER
);  
ALTER TABLE "PUBLIC"."TIMEEVENT" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_A8" PRIMARY KEY("ID");    
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.TIMEEVENT;
CREATE CACHED TABLE "PUBLIC"."PERSON_ATTRIBUTE"(
    "PERSON_ID" BIGINT NOT NULL,
    "ATTRIBUTE_ID" BIGINT NOT NULL
);        
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PERSON_ATTRIBUTE;         
CREATE CACHED TABLE "PUBLIC"."PERSON_CATEGORIES"(
    "PERSON_ID" BIGINT NOT NULL,
    "CATEGORY_ID" BIGINT NOT NULL
);        
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PERSON_CATEGORIES;        
CREATE CACHED TABLE "PUBLIC"."RELATIONSHIP_ITEMS"(
    "RELATIONSHIP_ID" BIGINT NOT NULL,
    "ITEM_ID" BIGINT NOT NULL
);     
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.RELATIONSHIP_ITEMS;       
CREATE CACHED TABLE "PUBLIC"."RELATIONSHIP_LOCATIONS"(
    "RELATIONSHIP_ID" BIGINT NOT NULL,
    "LOCATION_ID" BIGINT NOT NULL
);             
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.RELATIONSHIP_LOCATIONS;   
CREATE CACHED TABLE "PUBLIC"."RELATIONSHIP_PERSONS"(
    "RELATIONSHIP_ID" BIGINT NOT NULL,
    "PERSON_ID" BIGINT NOT NULL
); 
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.RELATIONSHIP_PERSONS;     
CREATE CACHED TABLE "PUBLIC"."SCENE_ITEM"(
    "SCENE_ID" BIGINT NOT NULL,
    "ITEM_ID" BIGINT NOT NULL
);    
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.SCENE_ITEM;               
CREATE CACHED TABLE "PUBLIC"."SCENE_LOCATION"(
    "SCENE_ID" BIGINT NOT NULL,
    "LOCATION_ID" BIGINT NOT NULL
);            
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.SCENE_LOCATION;           
CREATE CACHED TABLE "PUBLIC"."SCENE_PERSON"(
    "SCENE_ID" BIGINT NOT NULL,
    "PERSON_ID" BIGINT NOT NULL
);
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.SCENE_PERSON;             
CREATE CACHED TABLE "PUBLIC"."SCENE_PLOT"(
    "SCENE_ID" BIGINT NOT NULL,
    "PLOT_ID" BIGINT NOT NULL
);    
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.SCENE_PLOT;               
CREATE CACHED TABLE "PUBLIC"."SCENE_STRAND"(
    "SCENE_ID" BIGINT NOT NULL,
    "STRAND_ID" BIGINT NOT NULL
);
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.SCENE_STRAND;             
ALTER TABLE "PUBLIC"."RELATIONSHIP_ITEMS" ADD CONSTRAINT "PUBLIC"."FK6F2B36F9BA956C76" FOREIGN KEY("RELATIONSHIP_ID") REFERENCES "PUBLIC"."RELATIONSHIP"("ID") NOCHECK;        
ALTER TABLE "PUBLIC"."RELATIONSHIP_LOCATIONS" ADD CONSTRAINT "PUBLIC"."FK1FB562174C31DD56" FOREIGN KEY("LOCATION_ID") REFERENCES "PUBLIC"."LOCATION"("ID") NOCHECK;            
ALTER TABLE "PUBLIC"."CATEGORY" ADD CONSTRAINT "PUBLIC"."FK31A8ACFE18A1ECB6" FOREIGN KEY("CATEGORY_ID") REFERENCES "PUBLIC"."CATEGORY"("ID") NOCHECK;          
ALTER TABLE "PUBLIC"."SCENE" ADD CONSTRAINT "PUBLIC"."FK4B1206C648F075E" FOREIGN KEY("CHAPTER_ID") REFERENCES "PUBLIC"."CHAPTER"("ID") NOCHECK;
ALTER TABLE "PUBLIC"."EPISODE" ADD CONSTRAINT "PUBLIC"."FKCEBD49DB648F075E" FOREIGN KEY("CHAPTER_ID") REFERENCES "PUBLIC"."CHAPTER"("ID") NOCHECK;             
ALTER TABLE "PUBLIC"."SCENE" ADD CONSTRAINT "PUBLIC"."FK4B1206C37380422" FOREIGN KEY("NARRATOR_ID") REFERENCES "PUBLIC"."PERSON"("ID") NOCHECK;
ALTER TABLE "PUBLIC"."TAG_LINK" ADD CONSTRAINT "PUBLIC"."FK2DE399FA8B82A3E" FOREIGN KEY("TAG_ID") REFERENCES "PUBLIC"."TAG"("ID") NOCHECK;     
ALTER TABLE "PUBLIC"."SCENE" ADD CONSTRAINT "PUBLIC"."FK4B1206C79E12EB6" FOREIGN KEY("STRAND_ID") REFERENCES "PUBLIC"."STRAND"("ID") NOCHECK;  
ALTER TABLE "PUBLIC"."PERSON_ATTRIBUTE" ADD CONSTRAINT "PUBLIC"."FKD555DA32BFBA7856" FOREIGN KEY("PERSON_ID") REFERENCES "PUBLIC"."PERSON"("ID") NOCHECK;      
ALTER TABLE "PUBLIC"."PERSON" ADD CONSTRAINT "PUBLIC"."FK8C768F558C3830D6" FOREIGN KEY("GENDER_ID") REFERENCES "PUBLIC"."GENDER"("ID") NOCHECK;
ALTER TABLE "PUBLIC"."TAG_LINK" ADD CONSTRAINT "PUBLIC"."FK2DE399F36DA5802" FOREIGN KEY("CHARACTER_ID") REFERENCES "PUBLIC"."PERSON"("ID") NOCHECK;            
ALTER TABLE "PUBLIC"."SCENE_ITEM" ADD CONSTRAINT "PUBLIC"."FK7BFE92E65A9C8BFE" FOREIGN KEY("SCENE_ID") REFERENCES "PUBLIC"."SCENE"("ID") NOCHECK;              
ALTER TABLE "PUBLIC"."SCENE_STRAND" ADD CONSTRAINT "PUBLIC"."FK87BBB11979E12EB6" FOREIGN KEY("STRAND_ID") REFERENCES "PUBLIC"."STRAND"("ID") NOCHECK;          
ALTER TABLE "PUBLIC"."EPISODE" ADD CONSTRAINT "PUBLIC"."FKCEBD49DB79E12EB6" FOREIGN KEY("STRAND_ID") REFERENCES "PUBLIC"."STRAND"("ID") NOCHECK;               
ALTER TABLE "PUBLIC"."RELATIONSHIP" ADD CONSTRAINT "PUBLIC"."FK7A835E38D370C73B" FOREIGN KEY("START_SCENE_ID") REFERENCES "PUBLIC"."SCENE"("ID") NOCHECK;      
ALTER TABLE "PUBLIC"."TAG_LINK" ADD CONSTRAINT "PUBLIC"."FK2DE399FD00CFAE2" FOREIGN KEY("END_SCENE_ID") REFERENCES "PUBLIC"."SCENE"("ID") NOCHECK;             
ALTER TABLE "PUBLIC"."RELATIONSHIP_PERSONS" ADD CONSTRAINT "PUBLIC"."FKAAA634B7BFBA7856" FOREIGN KEY("PERSON_ID") REFERENCES "PUBLIC"."PERSON"("ID") NOCHECK;  
ALTER TABLE "PUBLIC"."SCENE_PERSON" ADD CONSTRAINT "PUBLIC"."FK81CA0A68BFBA7856" FOREIGN KEY("PERSON_ID") REFERENCES "PUBLIC"."PERSON"("ID") NOCHECK;          
ALTER TABLE "PUBLIC"."RELATIONSHIP" ADD CONSTRAINT "PUBLIC"."FK7A835E38B5437ECF" FOREIGN KEY("PERSON1_ID") REFERENCES "PUBLIC"."PERSON"("ID") NOCHECK;         
ALTER TABLE "PUBLIC"."RELATIONSHIP_ITEMS" ADD CONSTRAINT "PUBLIC"."FK6F2B36F948B9F696" FOREIGN KEY("ITEM_ID") REFERENCES "PUBLIC"."TAG"("ID") NOCHECK;         
ALTER TABLE "PUBLIC"."PERSON_CATEGORIES" ADD CONSTRAINT "PUBLIC"."FKA7F094618A1ECB6" FOREIGN KEY("CATEGORY_ID") REFERENCES "PUBLIC"."CATEGORY"("ID") NOCHECK;  
ALTER TABLE "PUBLIC"."RELATIONSHIP_LOCATIONS" ADD CONSTRAINT "PUBLIC"."FK1FB56217BA956C76" FOREIGN KEY("RELATIONSHIP_ID") REFERENCES "PUBLIC"."RELATIONSHIP"("ID") NOCHECK;    
ALTER TABLE "PUBLIC"."SCENE_LOCATION" ADD CONSTRAINT "PUBLIC"."FK8E5696084C31DD56" FOREIGN KEY("LOCATION_ID") REFERENCES "PUBLIC"."LOCATION"("ID") NOCHECK;    
ALTER TABLE "PUBLIC"."ENDNOTE" ADD CONSTRAINT "PUBLIC"."FKCB0ADF2D5A9C8BFE" FOREIGN KEY("SCENE_ID") REFERENCES "PUBLIC"."SCENE"("ID") NOCHECK; 
ALTER TABLE "PUBLIC"."RELATIONSHIP" ADD CONSTRAINT "PUBLIC"."FK7A835E38D00CFAE2" FOREIGN KEY("END_SCENE_ID") REFERENCES "PUBLIC"."SCENE"("ID") NOCHECK;        
ALTER TABLE "PUBLIC"."RELATIONSHIP" ADD CONSTRAINT "PUBLIC"."FK7A835E38B543F32E" FOREIGN KEY("PERSON2_ID") REFERENCES "PUBLIC"."PERSON"("ID") NOCHECK;         
ALTER TABLE "PUBLIC"."SCENE_PLOT" ADD CONSTRAINT "PUBLIC"."FK7C01A4B45A9C8BFE" FOREIGN KEY("SCENE_ID") REFERENCES "PUBLIC"."SCENE"("ID") NOCHECK;              
ALTER TABLE "PUBLIC"."LOCATION" ADD CONSTRAINT "PUBLIC"."FK9FF58FB54C31DD56" FOREIGN KEY("LOCATION_ID") REFERENCES "PUBLIC"."LOCATION"("ID") NOCHECK;          
ALTER TABLE "PUBLIC"."SCENE_STRAND" ADD CONSTRAINT "PUBLIC"."FK87BBB1195A9C8BFE" FOREIGN KEY("SCENE_ID") REFERENCES "PUBLIC"."SCENE"("ID") NOCHECK;            
ALTER TABLE "PUBLIC"."TAG_LINK" ADD CONSTRAINT "PUBLIC"."FK2DE399F4C31DD56" FOREIGN KEY("LOCATION_ID") REFERENCES "PUBLIC"."LOCATION"("ID") NOCHECK;           
ALTER TABLE "PUBLIC"."SCENE_ITEM" ADD CONSTRAINT "PUBLIC"."FK7BFE92E648B9F696" FOREIGN KEY("ITEM_ID") REFERENCES "PUBLIC"."TAG"("ID") NOCHECK; 
ALTER TABLE "PUBLIC"."SCENE_PERSON" ADD CONSTRAINT "PUBLIC"."FK81CA0A685A9C8BFE" FOREIGN KEY("SCENE_ID") REFERENCES "PUBLIC"."SCENE"("ID") NOCHECK;            
ALTER TABLE "PUBLIC"."PERSON_CATEGORIES" ADD CONSTRAINT "PUBLIC"."FKA7F0946BFBA7856" FOREIGN KEY("PERSON_ID") REFERENCES "PUBLIC"."PERSON"("ID") NOCHECK;      
ALTER TABLE "PUBLIC"."PERSON" ADD CONSTRAINT "PUBLIC"."FK8C768F5518A1ECB6" FOREIGN KEY("CATEGORY_ID") REFERENCES "PUBLIC"."CATEGORY"("ID") NOCHECK;            
ALTER TABLE "PUBLIC"."SCENE_LOCATION" ADD CONSTRAINT "PUBLIC"."FK8E5696085A9C8BFE" FOREIGN KEY("SCENE_ID") REFERENCES "PUBLIC"."SCENE"("ID") NOCHECK;          
ALTER TABLE "PUBLIC"."TAG_LINK" ADD CONSTRAINT "PUBLIC"."FK2DE399FD370C73B" FOREIGN KEY("START_SCENE_ID") REFERENCES "PUBLIC"."SCENE"("ID") NOCHECK;           
ALTER TABLE "PUBLIC"."CHAPTER" ADD CONSTRAINT "PUBLIC"."FK56D8082D9B56CA96" FOREIGN KEY("PART_ID") REFERENCES "PUBLIC"."PART"("ID") NOCHECK;   
ALTER TABLE "PUBLIC"."SCENE_PLOT" ADD CONSTRAINT "PUBLIC"."FK7C01A4B4ADF1FBD6" FOREIGN KEY("PLOT_ID") REFERENCES "PUBLIC"."PLOT"("ID") NOCHECK;
ALTER TABLE "PUBLIC"."TAG_LINK" ADD CONSTRAINT "PUBLIC"."FK2DE399F961090AF" FOREIGN KEY("TAG_ID") REFERENCES "PUBLIC"."TAG"("ID") NOCHECK;     
ALTER TABLE "PUBLIC"."PERSON_ATTRIBUTE" ADD CONSTRAINT "PUBLIC"."FKD555DA32490A0FFE" FOREIGN KEY("ATTRIBUTE_ID") REFERENCES "PUBLIC"."ATTRIBUTE"("ID") NOCHECK;
ALTER TABLE "PUBLIC"."EPISODE" ADD CONSTRAINT "PUBLIC"."FKCEBD49DB5A9C8BFE" FOREIGN KEY("SCENE_ID") REFERENCES "PUBLIC"."SCENE"("ID") NOCHECK; 
ALTER TABLE "PUBLIC"."RELATIONSHIP_PERSONS" ADD CONSTRAINT "PUBLIC"."FKAAA634B7BA956C76" FOREIGN KEY("RELATIONSHIP_ID") REFERENCES "PUBLIC"."RELATIONSHIP"("ID") NOCHECK;      
ALTER TABLE "PUBLIC"."PART" ADD CONSTRAINT "PUBLIC"."FK255BF39B56CA96" FOREIGN KEY("PART_ID") REFERENCES "PUBLIC"."PART"("ID") NOCHECK;        
